Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class ReflectorGenerator

Code generates a Reflector

author:
  James Strachan

version:
  $Revision: 9750 $

Field Summary
`String` | `classInternalName`
`ClassVisitor` | `cv`
`BytecodeHelper` | `helper`
`List` | `m_names`
`List` | `methods`

Constructor Summary
`ReflectorGenerator(List methods)`

Method Summary
`void` | `generate(ClassVisitor cv, String className)`
`void` | `generateInvokeMethod()`
`static String` | `get_m_name(int i)`
`void` | `invokeMethod(CachedMethod method, MethodVisitor mv)`
`void` | `loadParameters(CachedMethod method, int argumentIndex, MethodVisitor mv)`

Constructor Detail

### ReflectorGenerator

    public ReflectorGenerator(List methods)

Method Detail

### generate

    public void generate(ClassVisitor cv, String className)

### generateInvokeMethod

    void generateInvokeMethod()

### get_m_name

    static String get_m_name(int i)

### invokeMethod

    void invokeMethod(CachedMethod method, MethodVisitor mv)

### loadParameters

    void loadParameters(CachedMethod method, int argumentIndex, MethodVisitor mv)